<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;

use Kufer\Web\KuferTools\Utils\WssField\Basis\WssFieldBasisDateTimeRemoveTimeIfEmpty;


class WssFieldKursAnmeldeende extends WssFieldBasisDateTimeRemoveTimeIfEmpty
{
  public function getChangedInfo($columnValues, $changedDm, $changedFields): array
  {
    $result = parent::getChangedInfo($columnValues, $changedDm, $changedFields);
    if (in_array($this->getFieldName(), $result['changedFields'])) {
      $result['changed']->anm_ende_manu = true;
      $result['changedFields'][] = 'anm_ende_manu';
    }

    return $result;
  }
}